#!/usr/bin/php
<?php
//--------------------------------------------------------------
// Fichero:  cambiaCodigo.php
// Objetivo: Cambiar la contraseña de un usuario
// Fecha:    J.7.11.2019
// Autor:    Pedro Reina
// Licencia: Dominio público
//           https://creativecommons.org/publicdomain/zero/1.0/deed.es
//--------------------------------------------------------------

// La librería que hace los hash de las contraseñas
require "password.php";

// Funciones de acceso a la base de datos
require "basedato.php";

// Comprobamos que nos mandan al menos dos datos
if ( count ($argv) < 3 )
  { echo "Uso: " . $argv[0] . " usuario contraseña\n"; }

else
  {
  // Tomamos los datos de la línea de órdenes
  $Usuario = $argv[1];
  $Codigo = $argv[2];

  // Calculamos el hash
  $Hash = password_hash ($Codigo, PASSWORD_BCRYPT);

  // Lo almacenamos
  $Consulta = "UPDATE acceso SET codigo='$Hash' WHERE usuario='$Usuario'";

  // Informamos del resultado del cambio en la base de datos
  echo BD_EjecutaConsulta ($Consulta);
  }
?>
